Project

General

Profile

Bug #12557

backport r55581 (Net::HTTP should raise error when CR/LF in a request line)

Added by nagachika (Tomoyuki Chikanaga) over 3 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-core:76275]

Description

This is a ticket for backport management. The issue was already fixed on trunk.
Let's treat r55581 and r55582 as a bugfix and backport into stable branches.

Associated revisions

Revision 26df8ea5
Added by usa (Usaku NAKAMURA) over 3 years ago

merge revision(s) 55581,55582: [Backport #12557]

    * lib/net/http/generic_rquest.rb (write_header): A Request-Line must
      not contain CR or LF.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55874 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 55874
Added by usa (Usaku NAKAMURA) over 3 years ago

merge revision(s) 55581,55582: [Backport #12557]

* lib/net/http/generic_rquest.rb (write_header): A Request-Line must
  not contain CR or LF.

Revision 55992aa4
Added by nagachika (Tomoyuki Chikanaga) over 3 years ago

merge revision(s) 55581,55582,55880: [Backport #12557]

    * lib/net/http/generic_request.rb (write_header): A Request-Line must
      not contain CR or LF.

    * lib/net/http/generic_request.rb (write_header): A Request-Line must

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55912 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 55912
Added by nagachika (Tomoyuki Chikanaga) over 3 years ago

merge revision(s) 55581,55582,55880: [Backport #12557]

* lib/net/http/generic_request.rb (write_header): A Request-Line must
  not contain CR or LF.

* lib/net/http/generic_request.rb (write_header): A Request-Line must

History

Updated by usa (Usaku NAKAMURA) over 3 years ago

  • Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: DONE, 2.3: REQUIRED

ruby_2_2 r55874 merged revision(s) 55581,55582.

Updated by nagachika (Tomoyuki Chikanaga) over 3 years ago

  • Backport changed from 2.1: REQUIRED, 2.2: DONE, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

ruby_2_3 r55912 merged revision(s) 55581,55582,55880.

Also available in: Atom PDF